package com.kingdee.eas.custom.facade.leave;

import com.kingdee.bos.BOSException;
//import com.kingdee.bos.metadata.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public interface ILeaveAllowanceFacade extends IBizCtrl
{
    public void createAnnualLeave(int year, String personNum) throws BOSException;
    public void creareNursingLeave(int year, String personNum) throws BOSException;
    public void creareParentalLeave(int year, String personNum) throws BOSException;
    public void carryForwardLeave(int year, boolean isExecute, String personNum) throws BOSException, EASBizException;
    public void setSeniority() throws BOSException, EASBizException;
}